#server-banner {
    display: flex;
    flex-flow: column;
    height: 100%;
}

#sb-image-container {
    display: flex;
    height: 25em;
    position: relative;
    margin-bottom: 1em;
}

#sb-image {
    position: absolute;
    width: 100%;
    height: 100%;
    border: 1px solid #151515;
    border-radius: 15px;
    box-shadow: 0px 5px 5px #161616;
    z-index: 1;
}

#sb-title {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

#sb-bottom-container {
    display: flex;
    flex-flow: column;
    height: 30%;
    margin-top: 0.5em;
}

#server-buttons-container {
    display: flex;
    flex-flow: row;
    width: 100%;
    height: 62px;
    border-radius: 15px;
}

.server-button-separator {
    margin-left: 0.5%;
    margin-right: 0.5%;
}

.server-button {
    height: 62px;
    width: 100%;
    border-radius: 15px;
    text-align: center;
    align-content: center;
    color: #ffffff;
    text-decoration: none;
    font-size: 1.5em;
    font-family: "Oswald";
    text-shadow: 1px 1px 2px rgb(52, 52, 52);
    cursor: pointer;
}

.map {
    background: linear-gradient(#fbefff, #8300af);
    box-shadow: inset 0px 0px 20px 10px rgba(95, 10, 121, 0.6), 0px 5px 5px #161616;
}

.grey {
    background: linear-gradient(#909090, #111111);
    box-shadow: inset 0px 0px 20px 10px rgba(30, 30, 30, 0.6), 0px 5px 5px #161616;
}

.server-button:hover {
    opacity: 0.75;
}

.blue {
    background: linear-gradient(#fbefff, #004faf);
    box-shadow: inset 0px 0px 20px 10px rgba(10, 65, 121, 0.6), 0px 5px 5px #161616;
}

.nointeract {
    cursor: default;
}

.nointeract:hover {
    opacity: 1;
}

#server-playerlist {
    display: flex;
    flex-flow: column;
    margin-top: 2em;
    margin-left: 30%;
    margin-right: 30%;
    box-shadow: 0px 5px 5px #161616;
    border-radius: 15px;
    color: #ffffff;
    font-family: "Oswald";
    text-shadow: 1px 1px 2px rgb(52, 52, 52);
}

.sp-header {
    background: linear-gradient(#8bff79, #09af00);
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    height: 45px;
    text-align: center;
    align-content: center;
    font-size: 1.5em;
    padding-bottom: 1em;
}

.sp-item {
    background: linear-gradient(#09af00, #09af00);
    text-align: center;
    align-content: center;
    font-size: 1.2em;
}

.sp-bottom {
    background: linear-gradient(#09af00, #8bff79);
    width: 100%;
    height: 45px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}